% FUZPRINT Converts a fuzzy model in a text file with its linguistic representation. 
%
% Use the linguistic form:
%    "IF Name_of_Input1 is... and Name_of_Input2 is... THEN Name_of_Output1 es..."
% 
%     fuzprint('File.txt',Fuzzy_Model)
% 
%     fuzprint('File.txt',Fuzzy_Model,Name_of_Input1,Name_of_Input2,...,Name_of_Output1,Name_of_Output2,...)
% 
%     fuzprint('File.txt',Fuzzy_Model,Name_of_Input1,Name_of_Input2,...,Name_of_Output1,Name_of_Output2,...,Accuracy)
% 
% Arguments:
% 
%     'File.txt' -> String with the name of file to write. This file will be
%                   overwrited without confirmation.
%
%     Model -> Fuzzy model. Fuzzy model could be a '.txt' file, a '.fis' file, or
%              a 'FIS' variable from MATLAB Workspace.
%
%     Name_of_InputX -> String with the name of input X.
%
%     Name_of_OutputX -> String with the name of output X.
%
%     Accuracy -> Number of decimals to print (10 by defult).
%
%  See also activation, antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt,
%           fuz2mat, fuzcomb, fuzeval, fuzjac, fuzlinear, mat2antec, mat2conseq,
%           mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

